Amazon Linux AMI:jasper(ALAS-2017-836)

critical Nessus プラグイン ID 100637
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのAmazon Linux AMIホストに、セキュリティ更新プログラムがありません。

説明

JasPerがJPEG 2000画像ファイルをデコードする方法に、複数の欠陥が見つかりました。特別に細工されたファイルにより、JasPerを使用するアプリケーションがクラッシュしたり、任意のコードを実行したりする可能性があります。(CVE-2016-8654、CVE-2016-9560、CVE-2016-10249、CVE-2015-5203、CVE-2015-5221、CVE-2016-1577、CVE-2016-8690、CVE-2016-8693、CVE -2016-8884、CVE-2016-8885、CVE-2016-9262、CVE-2016-9591)JasPerがJPEG2000画像ファイルを復号する方法に、複数の欠陥が見つかりました。特別に細工されたファイルにより、JasPerを使用するアプリケーションがクラッシュする可能性があります。(CVE-2016-1867、CVE-2016-2089、CVE-2016-2116、CVE-2016-8691、CVE-2016-8692、CVE-2016-8883、CVE-2016-9387、CVE-2016-9388、CVE-2016-9389、CVE-2016-9390、CVE-2016-9391、CVE-2016-9392、CVE-2016-9393、CVE-2016-9394、CVE-2016-9583、CVE-2016-9600、CVE-2016-10248、CVE-2016-10251)

ソリューション

「yum update jasper」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/ALAS-2017-836.html

プラグインの詳細

深刻度: Critical

ID: 100637

ファイル名: ala_ALAS-2017-836.nasl

バージョン: 3.4

タイプ: local

エージェント: unix

公開日: 2017/6/7

更新日: 2019/7/10

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Critical

Base Score: 10

ベクトル: AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

脆弱性情報

CPE: p-cpe:/a:amazon:linux:jasper, p-cpe:/a:amazon:linux:jasper-debuginfo, p-cpe:/a:amazon:linux:jasper-devel, p-cpe:/a:amazon:linux:jasper-libs, p-cpe:/a:amazon:linux:jasper-utils, cpe:/o:amazon:linux

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

パッチ公開日: 2017/7/25

脆弱性公開日: 2016/1/20

参照情報

CVE: CVE-2015-5203, CVE-2015-5221, CVE-2016-1024, CVE-2016-10251, CVE-2016-1577, CVE-2016-1867, CVE-2016-2089, CVE-2016-2116, CVE-2016-8654, CVE-2016-8690, CVE-2016-8691, CVE-2016-8692, CVE-2016-8693, CVE-2016-8883, CVE-2016-8884, CVE-2016-8885, CVE-2016-9262, CVE-2016-9387, CVE-2016-9388, CVE-2016-9389, CVE-2016-9390, CVE-2016-9391, CVE-2016-9392, CVE-2016-9393, CVE-2016-9394, CVE-2016-9560, CVE-2016-9583, CVE-2016-9591, CVE-2016-9600

ALAS: 2017-836

RHSA: 2017:1208